0

I'm on Windows 10 with Docker Desktop and I get this error every time i'm trying to create the image from this dockerfile:

# syntax=docker/dockerfile:1

FROM nvidia/cuda:11.3.1-cudnn8-devel-ubuntu20.04

# Instala paquetes necesarios
RUN apt-get update && apt-get install -y \
    python3.8 \
    python3-pip \
    python3-dev \
    && ln -s /usr/bin/python3.8 /usr/bin/python3 \
    && ln -s /usr/bin/python3.8 /usr/bin/python

RUN python -m pip install --upgrade pip

WORKDIR /app

RUN python3 --version

This is the error i get: enter image description here

By the way, this information could be useful:

wsl --status

Distribución predeterminada: Ubuntu
Versión predeterminada: 2

wsl --version

Versión de WSL: 2.1.5.0
Versión de kernel: 5.15.146.1-2
Versión de WSLg: 1.0.60
Versión de MSRDC: 1.2.5105
Versión de Direct3D: 1.611.1-81528511
Versión DXCore: 10.0.25131.1002-220531-1700.rs-onecore-base2-hyp
Versión de Windows: 10.0.19045.4291

wsl --list

Distribuciones de subsistema de Windows para Linux:
Ubuntu (predeterminado)
docker-desktop
docker-desktop-data

And these are my Windows features (I have highlighted features that I think might be important): enter image description here

How to solve it to create the image with no problem?

0

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.